[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

srfi-55 support added

From: Rob Browning
Subject: srfi-55 support added
Date: Sat, 12 Feb 2005 00:32:39 -0600
User-agent: Gnus/5.1007 (Gnus v5.10.7) Emacs/21.3 (gnu/linux)

The development tree now supports a quick implementation of SRFI-55
(require-extension) in boot-9.scm.  See

require-extension is available without loading any modules, and so it
provides a portable way to load SRFIs, i.e. (require-extension (srfi 1

Note that the current implementation expands into a suitable set of
use-modules statements, and so it can only be called from the
top-level.  The SRFI specification seems somewhat vague on the point,
and so it's not entirely clear if such a restriction is or isn't OK.

Simple tests are in test-suite/standalone/test-require-extension.

I also just realized that I forgot to add appropriate info
documentation.  I'll try to make some time to do that, but if anyone
else is motivated, go right ahead.

Rob Browning
rlb and; previously
GPG starting 2002-11-03 = 14DD 432F AE39 534D B592  F9A0 25C8 D377 8C7E 73A4

reply via email to

[Prev in Thread] Current Thread [Next in Thread]